# Sound

**Sound** is a simple tool to control audio with script in Spark AR.

This is the reconstructed version of [sparkar-audio-objcet](https://github.com/flatpickles/sparkar-audio-object).



## Install

### Import

0. [Download Sound](https://registry.npmjs.org/sparkar-sound/-/sparkar-sound-0.3.0.tgz)

1. Drag/Drop or Import `Sound.js` to Spark AR

2. Import `Sound` module

    ```javascript
    import { Sound } from './Sound';
    // Your script...
    ```

3. ~~You can also [Click Here to Download a Sample Project](https://yehonal.github.io/DownGit/#home?url=https://github.com/pofulu/sparkar-sound/tree/master/SoundDemo).~~

### npm

0. Add package with `yarn` or `npm`

    ```shell
    yarn add sparkar-sound
    ```
    or
    ```javascript
    npm i sparkar-sound
    ```

1. Load in the required module

    ```javascript
    import { Sound } from 'sparkar-sound'
    // Your script...
    ```

    

## Usage

Please make sure the speaker and audio playback controller have the same name.

```javascript
async function main(){
	// Declared a sound
  const sfx = await Sound('sfx');
  
  // play the sound
  sfx.play();
}
```

